[Overview][Classes][Procedures and functions][Index] | Reference for unit 'LCLTranslator' (#lcl)

# TDefaultTranslator.Create

Constructor for the class instance.

## Declaration

Source position: lcltranslator.pas line 62

`public constructor TDefaultTranslator.Create(`
`MOFileName: string`
`);`

## Arguments

`MOFileName` |  | .mo file used in the class instance.

## Description

Create is the constructor for the class instance, and calls the inherited constructor. Create initializes and stores a TMOFile instance using the file name specified in the MOFileName parameter. Create calls UTF8ToSys to convert any UTF-8-encoded values in MOFileName to the default encoding used for the platform or OS.